import {initializeDynamicProperty,declareDynamicProperties} from "./../libs/ui-from-dialogue/utils.js";
import {EntityTypes} from "@minecraft/server";

declareDynamicProperties([{type: "defineNumber", defaultValue: "", name: "selected_loom_pattern"}],{ type: "EntityType", args: ["minecraft:player"] });
declareDynamicProperties([{type: "defineNumber", defaultValue: "", name: "selected_loom_shield_item"}],{ type: "EntityType", args: ["minecraft:player"] });
declareDynamicProperties([{type: "defineNumber", defaultValue: "", name: "selected_loom_dye_item"}],{ type: "EntityType", args: ["minecraft:player"] });
declareDynamicProperties([{type: "defineNumber", defaultValue: "", name: "selected_loom_pattern_item"}],{ type: "EntityType", args: ["minecraft:player"] });
declareDynamicProperties([{type: "defineString", defaultValue: "", name: "armor_stand_shield_layers",maxLength: 300}],{ type: "EntityType", args: ["minecraft:armor_stand"] });
 
initializeDynamicProperty({ name: "selected_loom_pattern", type: EntityTypes.get("minecraft:player"), value: -1, mode: "always" });
initializeDynamicProperty({ name: "selected_loom_shield_item", type: EntityTypes.get("minecraft:player"), value: -1, mode: "always" });
initializeDynamicProperty({ name: "selected_loom_dye_item", type: EntityTypes.get("minecraft:player"), value: -1, mode: "always" });
initializeDynamicProperty({ name: "selected_loom_pattern_item", type: EntityTypes.get("minecraft:player"), value: -1, mode: "always" });
initializeDynamicProperty({ name: "armor_stand_shield_layers", type: EntityTypes.get("minecraft:armor_stand"), value: "[]", mode: "once" });